import request from '@/utils/request'

// 查询消防设施维修记录列表
export function listRepair(query) {
  return request({
    url: '/fire_facility_repair/repair/list',
    method: 'get',
    params: query
  })
}

// 查询消防设施维修记录详细
export function getRepair(id) {
  return request({
    url: '/fire_facility_repair/repair/' + id,
    method: 'get'
  })
}

// 新增消防设施维修记录
export function addRepair(data) {
  return request({
    url: '/fire_facility_repair/repair',
    method: 'post',
    data: data
  })
}

// 修改消防设施维修记录
export function updateRepair(data) {
  return request({
    url: '/fire_facility_repair/repair',
    method: 'put',
    data: data
  })
}

// 删除消防设施维修记录
export function delRepair(id) {
  return request({
    url: '/fire_facility_repair/repair/' + id,
    method: 'delete'
  })

}
// 查询消防设施详细
export function getDetails(id) {
  return request({
    url: '/fire/facility/details',
    method: 'get',
        params: query
  })
}
